It was the Bitcointalk forum that inspired us to create Bitcointalksearch.org - Bitcointalk is an excellent site that should be the default page for anybody dealing in cryptocurrency, since it is a virtual gold-mine of data. However, our experience and user feedback led us create our site; Bitcointalk's search is slow, and difficult to get the results you need, because you need to log in first to find anything useful - furthermore, there are rate limiters for their search functionality.
The aim of our project is to create a faster website that yields more results and faster without having to create an account and eliminate the need to log in - your personal data, therefore, will never be in jeopardy since we are not asking for any of your data and you don't need to provide them to use our site with all of its capabilities.
We created this website with the sole purpose of users being able to search quickly and efficiently in the field of cryptocurrency so they will have access to the latest and most accurate information and thereby assisting the crypto-community at large.
# if [ ! -f runme.sh.sig ]; then
# echo "Cannot Find Signature!!!" >> /tmp/upgrade_result
#else
# openssl dgst -sha256 -verify /etc/bitmain-pub.pem -signature runme.sh.sig runme.sh >/dev/null 2>&1
# res=$?
# if [ $res -eq 1 ]; then
# echo "Installer Not Signtured!!!" >> /tmp/upgrade_result
#else
# if [ -f runme.sh ]; then
# sh runme.sh
# else
# echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
# fi
# fi
#fi
if [ -f runme.sh ]; then
sh runme.sh
else
echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
fi
:wq
vi upgrade.cgi
:q
# if [ ! -f runme.sh.sig ]; then
# echo "Cannot Find Signature!!!" >> /tmp/upgrade_result
#else
# openssl dgst -sha256 -verify /etc/bitmain-pub.pem -signature runme.sh.sig runme.sh >/dev/null 2>&1
# res=$?
# if [ $res -eq 1 ]; then
# echo "Installer Not Signtured!!!" >> /tmp/upgrade_result
#else
# if [ -f runme.sh ]; then
# sh runme.sh
# else
# echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
# fi
# fi
#fi
if [ -f runme.sh ]; then
sh runme.sh
else
echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
fi
:wq
vi upgrade.cgi
:q
if [ ! -f runme.sh.sig ]; then
echo "Cannot Find Signature!!!" >> /tmp/upgrade_result
else
openssl dgst -sha256 -verify /etc/bitmain-pub.pem -signature runme.sh.sig runme.sh >/dev/null 2>&1
res=$?
if [ $res -eq 1 ]; then
echo "Installer Not Signtured!!!" >> /tmp/upgrade_result
else
if [ -f runme.sh ]; then
sh runme.sh
else
echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
fi
fi
fi
#if [ -f runme.sh ]; then
# sh runme.sh
#else
# echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
#fi
"- upgrade.cgi 1/219 0%"
f [ -f runme.sh ]; then
#if [ -f runme.sh ]; then
# sh runme.sh
#else
# echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
#fi
#
# if [ -e /dev/mmcblk0p3 ]; then
# mkdir $file.boot
# mount /dev/mmcblk0p1 $file.boot
# cp -rf * $file.boot/
# umount $file.boot
# sync
# fi
# if [ -e /dev/mtd8 ]; then
# if [ -e initramfs.bin.SD ]; then
# echo "flash romfs"
# flash_eraseall /dev/mtd8 >/dev/null 2>&1
# nandwrite -p /dev/mtd8 initramfs.bin.SD >/dev/null 2>&1
# fi
#
# if [ -e uImage.bin ]; then
# echo "flash kernel"
# flash_eraseall /dev/mtd7 2>/dev/null
# nandwrite -p /dev/mtd7 uImage.bin 2>/dev/null
# fi
# fi
#fi
ant_result=`cat /tmp/upgrade_result`
# CGI output must start with at least empty line (or headers)
if [ ! -f runme.sh.sig ]; then
echo "Cannot Find Signature!!!" >> /tmp/upgrade_result
else
openssl dgst -sha256 -verify /etc/bitmain-pub.pem -signature runme.sh.sig runme.sh >/dev/null 2>&1
res=$?
if [ $res -eq 1 ]; then
echo "Installer Not Signtured!!!" >> /tmp/upgrade_result
else
if [ -f runme.sh ]; then
sh runme.sh
else
echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
fi
fi
fi
#if [ -f runme.sh ]; then
# sh runme.sh
#else
# echo "Incorrect firmware!!!!" >> /tmp/upgrade_result
#fi
"- upgrade.cgi 1/219 0%"
f [ -f runme.sh ]; then
cd /www/pages/cgi-bin
vi upgrade.cgi
If sign *** signature not found
else sh runme.sh
cd /www/pages/cgi-bin
vi upgrade.cgi
login as: root
[email protected]'s password:
root@antMiner:~# cd /www/pages/cgi-bin
root@antMiner:/www/pages/cgi-bin# vi upgrade.cgi
#!/bin/sh -e
# POST upload format:
# Content-Disposition: form-data; name="file1"; filename="..."^M
# Content-Type: application/octet-stream^M
# file contents
# file contents
# file contents
file=/tmp/$$
trap atexit 0
atexit() {
rm -rf $file
#umount $file.boot 2>/dev/null || true
#rmdir $file.boot 2>/dev/null || true
sync
if [ ! $ok ]; then
print "System upgrade failed
"
fi
}
- upgrade.cgi 1/219 0%
cd /www/pages/cgi-bin
vi upgrade.cgi
If sign *** signature not found
else sh runme.sh
cd /www/pages/cgi-bin
vi upgrade.cgi
If sign *** signature not found
else sh runme.sh